# FoundationClasses
TKernel
TColStd

# TColStd_HSequenceOfReal Class Reference

`#include <TColStd_HSequenceOfReal.hxx>`

Inheritance diagram for TColStd_HSequenceOfReal:

[legend]

## Public Member Functions

| TColStd_HSequenceOfReal ()
Standard_Boolean | IsEmpty () const
Standard_Integer | Length () const
Standard_EXPORT void | Clear ()
Standard_EXPORT void | Append (const Standard_Real &anItem)
Standard_EXPORT void | Append (const Handle(TColStd_HSequenceOfReal)&aSequence)
Standard_EXPORT void | Prepend (const Standard_Real &anItem)
Standard_EXPORT void | Prepend (const Handle(TColStd_HSequenceOfReal)&aSequence)
Standard_EXPORT void | Reverse ()
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Standard_Real &anItem)
Standard_EXPORT void | InsertBefore (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfReal)&aSequence)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Standard_Real &anItem)
Standard_EXPORT void | InsertAfter (const Standard_Integer anIndex, const Handle(TColStd_HSequenceOfReal)&aSequence)
Standard_EXPORT void | Exchange (const Standard_Integer anIndex, const Standard_Integer anOtherIndex)
Standard_EXPORT Handle_TColStd_HSequenceOfReal | Split (const Standard_Integer anIndex)
Standard_EXPORT void | SetValue (const Standard_Integer anIndex, const Standard_Real &anItem)
Standard_EXPORT const Standard_Real & | Value (const Standard_Integer anIndex) const
Standard_EXPORT Standard_Real & | ChangeValue (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer anIndex)
Standard_EXPORT void | Remove (const Standard_Integer fromIndex, const Standard_Integer toIndex)
const TColStd_SequenceOfReal & | Sequence () const
TColStd_SequenceOfReal & | ChangeSequence ()
Standard_EXPORT Handle_TColStd_HSequenceOfReal | ShallowCopy () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TColStd_SequenceOfReal | mySequence

## Constructor & Destructor Documentation

TColStd_HSequenceOfReal::TColStd_HSequenceOfReal | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TColStd_HSequenceOfReal::Append | ( | const Handle(TColStd_HSequenceOfReal)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Append | ( | const Standard_Real & | anItem | ) |

TColStd_SequenceOfReal& TColStd_HSequenceOfReal::ChangeSequence | ( |  | ) |

Standard_EXPORT Standard_Real& TColStd_HSequenceOfReal::ChangeValue | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Clear | ( |  | ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Exchange | ( | const Standard_Integer | anIndex,
|  | const Standard_Integer | anOtherIndex
| ) |

Standard_EXPORT const TColStd_HSequenceOfReal::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void TColStd_HSequenceOfReal::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfReal)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfReal::InsertAfter | ( | const Standard_Integer | anIndex,
|  | const Standard_Real & | anItem
| ) |

Standard_EXPORT void TColStd_HSequenceOfReal::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Handle(TColStd_HSequenceOfReal)& | aSequence
| ) |

Standard_EXPORT void TColStd_HSequenceOfReal::InsertBefore | ( | const Standard_Integer | anIndex,
|  | const Standard_Real & | anItem
| ) |

Standard_Boolean TColStd_HSequenceOfReal::IsEmpty | ( |  | ) | const

Standard_Integer TColStd_HSequenceOfReal::Length | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfReal::Prepend | ( | const Handle(TColStd_HSequenceOfReal)& | aSequence | ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Prepend | ( | const Standard_Real & | anItem | ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Remove | ( | const Standard_Integer | fromIndex,
|  | const Standard_Integer | toIndex
| ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Remove | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT void TColStd_HSequenceOfReal::Reverse | ( |  | ) |

const TColStd_SequenceOfReal& TColStd_HSequenceOfReal::Sequence | ( |  | ) | const

Standard_EXPORT void TColStd_HSequenceOfReal::SetValue | ( | const Standard_Integer | anIndex,
|  | const Standard_Real & | anItem
| ) |

Standard_EXPORT Handle_TColStd_HSequenceOfReal TColStd_HSequenceOfReal::ShallowCopy | ( |  | ) | const

Standard_EXPORT Handle_TColStd_HSequenceOfReal TColStd_HSequenceOfReal::Split | ( | const Standard_Integer | anIndex | ) |

Standard_EXPORT const Standard_Real& TColStd_HSequenceOfReal::Value | ( | const Standard_Integer | anIndex | ) | const

## Field Documentation

TColStd_SequenceOfReal TColStd_HSequenceOfReal::mySequence `[private]`

The documentation for this class was generated from the following file:

- TColStd_HSequenceOfReal.hxx